<?php
namespace Teknisa\PLA\Util;


use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DataSource\DataSet as DataSet_Source;
use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DataSource;

class BlobToFileServer {
    
    protected $fileServerURL;
    protected $environment;
    protected $connection;
    protected $entityManager;

    public function __construct($fileServerURL,$entityManager,$environment,$connection) {
        $this->fileServerURL   = $fileServerURL;
        $this->entityManager   = $entityManager;
        $this->environment     = $environment;
        $this->connection      = $connection;
    }
    
    public function converteESalvaBlobParaFileServer($fotoBlob, $nomeCampo, $nomeFoto = 'foto', $customFolder){
        try{
            $fotoBlob = base64_encode($fotoBlob);
            $size = ceil(3/4*strlen($fotoBlob));
            $fotoBlob = "data:image/jpeg;base64,".$fotoBlob;
      
            $row[$nomeCampo] = array(
              array(
                "b64File" => $fotoBlob,
                "name"    => $nomeFoto.'.jpg',
                "type"    => "image/jpeg",
                "size"    => $size
              )
            );
            
            $this->fileServerURL->uploadFilesInRow($row, $nomeCampo, $customFolder);
            return $row;
        }catch(\Exception $e){
            
        }
    }
}